grapheme_extract
grapheme_stristr
Grapheme Functions
PHP Manual

# grapheme_stripos

Find position (in grapheme units) of first occurrence of a case-insensitive string

### Description

Procedural style

int grapheme_stripos ( string `$haystack` , string `$needle` [, int `$offset` = 0 ] )

Find position (in grapheme units) of first occurrence of a case-insensitive string

### Parameters

`haystack`

  The string to look in. Must be valid UTF-8.

`needle`

  The string to look for. Must be valid UTF-8.

`offset`

  The optional $offset parameter allows you to specify where in haystack to start searching as an offset in grapheme units (not bytes or characters). The position returned is still relative to the beginning of haystack regardless of the value of $offset.

### Return Values

Returns the position as an integer. If needle is not found, grapheme_stripos() will return boolean FALSE.

### Examples

Example #1 grapheme_stripos example

`<?php
$char_a_ring_nfd = "a\xCC\x8A"; // 'LATIN SMALL LETTER A WITH RING ABOVE' (U+00E5) normalization form "D"
$char_o_diaeresis_nfd = "o\xCC\x88"; // 'LATIN SMALL LETTER O WITH DIAERESIS' (U+00F6) normalization form "D"
$char_O_diaeresis_nfd = "O\xCC\x88"; // 'LATIN CAPITAL LETTER O WITH DIAERESIS' (U+00D6) normalization form "D"
print grapheme_stripos( $char_a_ring_nfd . $char_a_ring_nfd . $char_o_diaeresis_nfd, $char_O_diaeresis_nfd);
?>`

The above example will output:

    2

### See Also

- grapheme_stristr
- grapheme_strpos
- grapheme_strripos
- grapheme_strrpos
- grapheme_strstr
- » Unicode Text Segmentation: Grapheme Cluster Boundaries